mnames-class {arf3DS4} | R Documentation

## arf3DS4 "mnames" class

### Description

The arf3DS4 "mnames" class contains information on the models in a subject/condition. It can be used to quickly load models without having to specify the experiment, subject and condition each time.

### Objects

Objects can be created by calls of the form `new("mnames", ...)`.

### Slots

`experiment`:

  Object of class "experiment" (see `experiment`).

`subject`:

  Subject name.

`condition`:

  Condition name.

`mnames`:

  Vector of modelnames within a subject/condition.

### Methods

Standard arf3DS4 accessor and replacement functions can be used to access and replace slots.

access

  `.classname.slotname(object)`

replace

  `.classname.slotname(object)<-`

show

  `signature(object = "mnames")`: ...

In this case classname is "mnames" and slotname is for example "subject". So to access the "subject" slot of an r-object "mymnames" (of class "mnames") type `.mnames.subject(mymnames)`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`experiment`

### Examples

    showClass("mnames")

[Package arf3DS4 version 2.5-10 Index]